Nur Node-blue läuft, sonst nix mehr

Hallo Leute!

Ich bin jetzt seit einigen Tagen hier am suchen und komme im Moment kein Stück weiter. Ich weiß auch nie, warum das immer so ist.

Fangen wir vorne an.
Mein Homegaer wächst, nicht das HM und/oder HmIP schon seit Wochen laufen. Mittlerweile hat auch KNX einzug gehalten. Immer zwischen durch kleine neue Erkenntnisse haben und sich freuen das alles läuft. Mein letzes Backup ist schon ein paar Tage wieder her und bevor ich Zigbee mit einbinden wollte, wollte ich ein Update machen.
Zwischen durch lasse ich auch immer ein Update laufen und bis zu meinem Stromausfall lief alles und ich war super zufrieden.

Stromausfall? Kein Problem! Alles wieder einschalten und nach ca 10 Minuten war das Netzwerk wieder Einsatzbereit. Die Haustür wurde verriegelt und alles scheint zu laufen. Erst Abends ist mir dann aufgefallen, das die Temperaturen über KNX eingeforen waren. 23 Grad um 23 Uhr, war eindeutig zu viel. Auch das die Türen offen waren, was über HmIP kommt, stimmte nicht mehr.

Bei meiner Fehlersuche habe ich dann folgendes festgestellt.
Node-Blue konnte ich aufrufen und auch die Skripte dort liefen ohne Probleme, wenn sie über Hm gegangen sind. Was ich nicht aufrufen kann ist, local:2001/ui und local:2001/admin. Also das Forum durch sucht und viele ansetzen gefunden, aber keine richtige Lösungen.

Also habe ich versucht neue Updates zu installieren, im Moment liegen keine vor. Dann habe ich einfach “homegear-ui” neu installieren und jetzt kann ich schon mal local:2001/ui aufrufen, aber nicht die Adminseite. Ein neu installieren von “homegear-adminui”, brachte die Seite nicht zurück. Stelle gerade jetzt, das die Daten über KNX wieder kommen, aber die Seite nicht aufrufbar ist.

Wie kann ich den Fehler beheben?

Das ganze System läuft eine Raspberry 4

Distributor ID: Raspbian
Description: Raspbian GNU/Linux 10 (buster)
Release: 10
Codename: buster

ii homegear 0.8.0-3101 armhf Interface program to your smart home devices
ii homegear-adminui 0.1.0-280 all Provides an administrative user interface for Homegear.
ii homegear-beckhoff 0.8.0-3101 armhf Beckhoff module for Homegear
ii homegear-ccu 0.8.0-3101 armhf CCU module for Homegear
ii homegear-enocean 0.8.0-3101 armhf EnOcean module for Homegear
ii homegear-homematicbidcos 0.8.0-3101 armhf HomeMatic BidCoS module for Homegear
ii homegear-homematicwired 0.8.0-3101 armhf HomeMatic BidCoS module for Homegear
ii homegear-influxdb 0.8.0-3101 armhf Passes variable changes in Homegear to InfluxDB
ii homegear-insteon 0.8.0-3101 armhf HomeMatic BidCoS module for Homegear
ii homegear-intertechno 0.8.0-3101 armhf Intertechno module for Homegear
ii homegear-ipcam 0.8.0-3101 armhf IPCam module for Homegear
ii homegear-knx 0.8.0-3101 armhf KNX module for Homegear
ii homegear-kodi 0.8.0-3101 armhf Kodi module for Homegear
ii homegear-management 0.8.0-3101 armhf Management service for Homegear
ii homegear-max 0.8.0-3101 armhf HomeMatic BidCoS module for Homegear
ii homegear-mbus 0.8.0-3101 armhf M-Bus module for Homegear
ii homegear-nanoleaf 0.8.0-3101 armhf Nanoleaf module for Homegear
ii homegear-nodes-core 0.8.0-3101 armhf Core nodes for Homegear’s Node-BLUE
ii homegear-nodes-extra 0.8.0-3101 armhf Extra nodes for Homegear’s Node-BLUE
ii homegear-philipshue 0.8.0-3101 armhf Philips Hue module for Homegear
ii homegear-sonos 0.8.0-3101 armhf HomeMatic BidCoS module for Homegear
ii homegear-ui 0.1.0-361 all Provides an user interface for Homegear.
ii libhomegear-base 0.8.0-3101 armhf Base library for Homegear
ii libhomegear-ipc 0.1.2-42 armhf IPC library for Homegear
ii libhomegear-node 0.1.7-53 armhf Node library for Homegear
ii python3-homegear 1.0.17-6 armhf Python module for Homegear

Was mich bei adminui irritieret, das die Versionsnummer nur 3 stellig ist und nicht 4, wie sonst auch immer!

SInd Fehlerlogs gut? Dann würde ich sie mit dem nächsten Post nach reichen.

Vielen Dank erstmal
Piwko

Hey @Piwko,

die dreistellige Versionsnummer des adminui-Paketes ist schon korrekt, allerdings sollte das mittlerweile 0.1.0-294 sein. Die -280 muesste noch von vor dem PHP-Update in Homegear sein, die Homegear-Version -3101 selbiges aber schon enthalten :thinking:

– Micha

Hallo @Micha,

ich bin bringe Dich erstmal auf den neuesten Stand, hoffe das nichts wichtiges vergesse.

Beim durch suchen vom Forum ist mir aufgefallen, das ich den Fehler schon mal hatte und sathya meinete ich sollte einfach, das mal installieren. Dich nur Node_Blue aufrufen konnte, dachte ich, das wäre der gleiche Fehler. Leider was das nicht so! Die normal ui konnte ich auch nicht aufrufen.

Dann habe ich zum Spaß mal apt install homegaer-ui gemacht, danach konnte ich die Seite wieder aufrufen. Wurde bei was jeder Datei gefragt, ob ich die alte oder eine neue Config haben möchte. Ich habe mich dann erstmal für die neue Config entschieden.

Dann habe ich im Forum gefunden, das der Path nicht korrekt sein könnte,das was bei mir der Fall.Hatte auch schon die IPs im verdacht, weil in meienm Netzwerk läuft im Moment kein IPv6, weil ich es nicht brauche, aber da klappte dann noch weniger als vorher.

Weil ich schon mal vor länger Zeit Probleme mit Homegear hatte, dachte ich, ich gehe mal auf “Stable” und nicht auf “Nightly”, kann das vielleicht auch ein Fehler sein? Ich hatte mit der Einstellung mehr Ruhe, als mit der alten und wollte vorher noch ein Backup machen!

Wir kann ich homegear-admin updaten? Ich mache immer apt update & upgrade und dann kommt eine Liste. Im MOment sagt er mir, alles ist Aktuller, als im Archiv! :man_shrugging:

Ciao Piwko

kleine Nachtrag!

Bekomme die Fehlermedlung " Diese Seite funktioniert im Moment nicht.

homematic.konig kann diese Anfrage zurzeit nicht bearbeiten.

HTTP ERROR 500"

Hey @Piwko,

wie hast du das nightly denn installiert, ueber den nightly-Installer? Wenn ja, dann musst du die Admin-UI auch darueber neu installieren. Bei dir sieht es so aus, als haettest du quasi eine Misch-Installation aus dem stable-Repository und dem nightly-Installer …

– Micha

1 Like

Hallo Micha,

ich hatte am Anfang viele Probleme und hatte dann hier im Forum gelesen, man soll auf “stable” gehen, das hatte ich dann auch gemacht und bis vor ein paar Wochen war auch auch alles super.

Soll ich auf “Nigthly” wechseln?

Ich arbeite gerne mit Firefox, stelle aber gerade fest, das es mir den Fehler nicht anzeigt.
Bei Firefox bekomme ich nur eine weisse Seite. Bei Edge wir der Fehler “HTTP ERROR 500” angezeigt, das habe ich hier im Forum doch auch schon gelesen. Werde das auch noch mal überprüfen!

Ciao
Piwko

Hey @Piwko,

also laut deiner Modul-Liste hast du wie gesagt einen Mix aus “nightly” und “stable” installiert. Die letzte “stable” fuer Raspbian ist 0.7.48-3324 wenn ich das richtig sehe. 0.8.x ist allerdings definitiv ein “nightly”. Die Admin-UI die du laut Liste installiert hast sieht nach “stable” aus, deswegen funktioniert sie mit dem “nightly” von Homegear nicht (es gab ein PHP-Update).

Ich wuerde dir empfehlen die Installation noch einmal neu aufzusetzen. Ob als “stable” oder “nightly” haengt davon ab, was du an Features brauchst, bzw. wie “bastelfreudig” du bist. Beim “nightly” kanns schon mal “klemmen”, gerade wenn (wie in den letzten Tagen) groessere Neuerungen dazu gekommen sind.

Ich persoenlich setzte “nightly” auch produktiv zuhause ein, allerdings dann eine Version von der ich weiss, dass es (fuer mich) keine Probleme gibt (aktuell 0.8.0-3091).

– Micha

Hallo Micha,

welches Builddatum hat den das nightly 0.8.0-3091.

Überlege grad mal noch ein paar Tage mit dem System welches aktiv mein Haus steuert wieder zurück zu rüsten auf eine stabilere nightly Version.

Gruß
Der Doc

Es hat sich viel geändert die letzten Wochen. Das nightly vom 20210110 sollte aber wieder stabil laufen. Das geht bei mir daheim auch wieder :slight_smile:

2 Likes